{
  "meta": {},
  "group": {
    "title": "Available types",
    "anchor": "available-types"
  },
  "object": {
    "anchor": "replykeyboardmarkup",
    "name": "ReplyKeyboardMarkup",
    "description": "This object represents a custom keyboard with reply options (see Introduction to bots for details and examples). Not supported in channels and for messages sent on behalf of a Telegram Business account.",
    "html_description": "<p>This object represents a <a href=\"/bots/features#keyboards\">custom keyboard</a> with reply options (see <a href=\"/bots/features#keyboards\">Introduction to bots</a> for details and examples). Not supported in channels and for messages sent on behalf of a Telegram Business account.</p>",
    "rst_description": "This object represents a `custom keyboard <https://core.telegram.org/bots/features#keyboards>`_ with reply options (see `Introduction to bots <https://core.telegram.org/bots/features#keyboards>`_ for details and examples). Not supported in channels and for messages sent on behalf of a Telegram Business account.",
    "annotations": [
      {
        "type": "Array of Array of KeyboardButton",
        "description": "Array of button rows, each represented by an Array of KeyboardButton objects",
        "html_description": "<td>Array of button rows, each represented by an Array of <a href=\"#keyboardbutton\">KeyboardButton</a> objects</td>",
        "rst_description": "Array of button rows, each represented by an Array of :class:`aiogram.types.keyboard_button.KeyboardButton` objects\n",
        "name": "keyboard",
        "required": true
      },
      {
        "type": "Boolean",
        "description": "Requests clients to always show the keyboard when the regular keyboard is hidden. Defaults to false, in which case the custom keyboard can be hidden and opened with a keyboard icon.",
        "html_description": "<td><em>Optional</em>. Requests clients to always show the keyboard when the regular keyboard is hidden. Defaults to <em>false</em>, in which case the custom keyboard can be hidden and opened with a keyboard icon.</td>",
        "rst_description": "*Optional*. Requests clients to always show the keyboard when the regular keyboard is hidden. Defaults to *false*, in which case the custom keyboard can be hidden and opened with a keyboard icon.\n",
        "name": "is_persistent",
        "required": false
      },
      {
        "type": "Boolean",
        "description": "Requests clients to resize the keyboard vertically for optimal fit (e.g., make the keyboard smaller if there are just two rows of buttons). Defaults to false, in which case the custom keyboard is always of the same height as the app's standard keyboard.",
        "html_description": "<td><em>Optional</em>. Requests clients to resize the keyboard vertically for optimal fit (e.g., make the keyboard smaller if there are just two rows of buttons). Defaults to <em>false</em>, in which case the custom keyboard is always of the same height as the app's standard keyboard.</td>",
        "rst_description": "*Optional*. Requests clients to resize the keyboard vertically for optimal fit (e.g., make the keyboard smaller if there are just two rows of buttons). Defaults to *false*, in which case the custom keyboard is always of the same height as the app's standard keyboard.\n",
        "name": "resize_keyboard",
        "required": false
      },
      {
        "type": "Boolean",
        "description": "Requests clients to hide the keyboard as soon as it's been used. The keyboard will still be available, but clients will automatically display the usual letter-keyboard in the chat - the user can press a special button in the input field to see the custom keyboard again. Defaults to false.",
        "html_description": "<td><em>Optional</em>. Requests clients to hide the keyboard as soon as it's been used. The keyboard will still be available, but clients will automatically display the usual letter-keyboard in the chat - the user can press a special button in the input field to see the custom keyboard again. Defaults to <em>false</em>.</td>",
        "rst_description": "*Optional*. Requests clients to hide the keyboard as soon as it's been used. The keyboard will still be available, but clients will automatically display the usual letter-keyboard in the chat - the user can press a special button in the input field to see the custom keyboard again. Defaults to *false*.\n",
        "name": "one_time_keyboard",
        "required": false
      },
      {
        "type": "String",
        "description": "The placeholder to be shown in the input field when the keyboard is active; 1-64 characters",
        "html_description": "<td><em>Optional</em>. The placeholder to be shown in the input field when the keyboard is active; 1-64 characters</td>",
        "rst_description": "*Optional*. The placeholder to be shown in the input field when the keyboard is active; 1-64 characters\n",
        "name": "input_field_placeholder",
        "required": false
      },
      {
        "type": "Boolean",
        "description": "Use this parameter if you want to show the keyboard to specific users only. Targets: 1) users that are @mentioned in the text of the Message object; 2) if the bot's message is a reply to a message in the same chat and forum topic, sender of the original message.\n\nExample: A user requests to change the bot's language, bot replies to the request with a keyboard to select the new language. Other users in the group don't see the keyboard.",
        "html_description": "<td><em>Optional</em>. Use this parameter if you want to show the keyboard to specific users only. Targets: 1) users that are @mentioned in the <em>text</em> of the <a href=\"#message\">Message</a> object; 2) if the bot's message is a reply to a message in the same chat and forum topic, sender of the original message.<br/>\n<br/>\n<em>Example:</em> A user requests to change the bot's language, bot replies to the request with a keyboard to select the new language. Other users in the group don't see the keyboard.</td>",
        "rst_description": "*Optional*. Use this parameter if you want to show the keyboard to specific users only. Targets: 1) users that are @mentioned in the *text* of the :class:`aiogram.types.message.Message` object; 2) if the bot's message is a reply to a message in the same chat and forum topic, sender of the original message.\n\n\n\n*Example:* A user requests to change the bot's language, bot replies to the request with a keyboard to select the new language. Other users in the group don't see the keyboard.\n",
        "name": "selective",
        "required": false
      }
    ],
    "category": "types"
  }
}
